Bug 223479 - [dns/p5-Net-LibIDN2] The port dns/p5-Net-LibIDN2 is not installed
Summary: [dns/p5-Net-LibIDN2] The port dns/p5-Net-LibIDN2 is not installed
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-06 17:55 UTC by Vladislav V. Prodan
Modified: 2017-11-13 20:21 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladislav V. Prodan 2017-11-06 17:55:57 UTC
[19:48]gw:root-> dns/p5-Net-LibIDN2# make reinstall
===>  License ART10 GPLv1+ accepted by the user
===>   p5-Net-LibIDN2-1.00 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by p5-Net-LibIDN2-1.00 for building
===>  Extracting for p5-Net-LibIDN2-1.00
=> SHA256 Checksum OK for Net-LibIDN2-1.00.tar.gz.
===>  Patching for p5-Net-LibIDN2-1.00
===>   p5-Net-LibIDN2-1.00 depends on package: p5-Module-Build>=0.4206 - found
===>   p5-Net-LibIDN2-1.00 depends on package: perl5>=5.24<5.25 - found
===>   p5-Net-LibIDN2-1.00 depends on shared library: libidn2.so - found (/usr/local/lib/libidn2.so)
===>  Configuring for p5-Net-LibIDN2-1.00
# Compiler seems to be /usr/bin/cc
# /usr/bin/cc -DHAS_FPSETMASK -DHAS_FLOATINGPOINT_H -fno-strict-aliasing -pipe -fstack-protector-strong -I/usr/local/include -D_FORTIFY_SOURCE=2 -lpthread -fstack-protector-strong -L/usr/local/lib assertlibxi_m0kxV.c -o assertlibh_wGvMFz
# /usr/bin/cc -DHAS_FPSETMASK -DHAS_FLOATINGPOINT_H -fno-strict-aliasing -pipe -fstack-protector-strong -I/usr/local/include -D_FORTIFY_SOURCE=2 -lpthread -fstack-protector-strong -L/usr/local/lib assertlibSHmM_0Ri.c -o assertlibLJR7yON8 -lidn2
wrong result: 'idn2'
===>  Building for p5-Net-LibIDN2-1.00
Can't open perl script "Build": No such file or directory
*** Error code 2

Stop.
make[1]: stopped in /usr/ports/dns/p5-Net-LibIDN2
*** Error code 1

Stop.
make: stopped in /usr/ports/dns/p5-Net-LibIDN2

#### My System:

FreeBSD 11.0-STABLE #0 r314635: Sat Mar  4 02:12:23 EET 2017     

# pkg info | grep -i LibIDN2
libidn2-0.16                   Implementation of IDNA2008 internationalized domain names

# perl -V
Summary of my perl5 (revision 5 version 24 subversion 1) configuration:

  Platform:
    osname=freebsd, osvers=11.0-stable, archname=amd64-freebsd-thread-multi
    uname='freebsd templ.domain.com 11.0-stable freebsd 11.0-stable #0 r314635: sat mar 4 02:12:23 eet 2017 root@templ.domain.com:usrobjusrsrcsystempl.domain.com.2 amd64 '
    config_args='-sde -Dprefix=/usr/local -Dlibperl=libperl.so.5.24.1 -Darchlib=/usr/local/lib/perl5/5.24/mach -Dprivlib=/usr/local/lib/perl5/5.24 -Dman3dir=/usr/local/lib/perl5/5.24/perl/man/man3 -Dman1dir=/usr/local/lib/perl5/5.24/perl/man/man1 -Dsitearch=/usr/local/lib/perl5/site_perl/mach/5.24 -Dsitelib=/usr/local/lib/perl5/site_perl -Dscriptdir=/usr/local/bin -Dsiteman3dir=/usr/local/lib/perl5/site_perl/man/man3 -Dsiteman1dir=/usr/local/lib/perl5/site_perl/man/man1 -Ui_malloc -Ui_iconv -Uinstallusrbinperl -Dusenm=n -Dcc=cc -Duseshrplib -Dinc_version_list=none -Dcf_by=perl -Dcf_email=perl@FreeBSD.org -Dcf_time=Sat Jan 14 22:05:52 EET 2017 -Alddlflags=-L/usr/ports/lang/perl5.24/work/perl-5.24.1 -L/usr/local/lib/perl5/5.24/mach/CORE -lperl -Dshrpldflags=$(LDDLFLAGS:N-L/usr/ports/lang/perl5.24/work/perl-5.24.1:N-L/usr/local/lib/perl5/5.24/mach/CORE:N-lperl) -Wl,-soname,$(LIBPERL:R) -Doptimize=-O2 -pipe  -fstack-protector -fno-strict-aliasing -Dusedtrace -Ui_gdbm -Dusemultiplicity=y -Duse64bitint -Dusesitecustomize -Dusethreads=y -Dusemymalloc=n'
    hint=recommended, useposix=true, d_sigaction=define
    useithreads=define, usemultiplicity=define
    use64bitint=define, use64bitall=define, uselongdouble=undef
    usemymalloc=n, bincompat5005=undef
  Compiler:
    cc='cc', ccflags ='-DHAS_FPSETMASK -DHAS_FLOATINGPOINT_H -fno-strict-aliasing -pipe -fstack-protector-strong -I/usr/local/include -D_FORTIFY_SOURCE=2',
    optimize='-O2 -pipe -fstack-protector -fno-strict-aliasing',
    cppflags='-DHAS_FPSETMASK -DHAS_FLOATINGPOINT_H -fno-strict-aliasing -pipe -fstack-protector-strong -I/usr/local/include'
    ccversion='', gccversion='4.2.1 Compatible FreeBSD Clang 3.9.1 (tags/RELEASE_391/final 289601)', gccosandvers=''
    intsize=4, longsize=8, ptrsize=8, doublesize=8, byteorder=12345678, doublekind=3
    d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=16, longdblkind=3
    ivtype='long', ivsize=8, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=8
    alignbytes=8, prototype=define
  Linker and Libraries:
    ld='cc', ldflags ='-lpthread -Wl,-E  -fstack-protector-strong -L/usr/local/lib'
    libpth=/usr/lib /usr/local/lib /usr/bin/../lib/clang/3.9.1/lib /usr/lib
    libs=-lpthread -lm -lcrypt -lutil
    perllibs=-lpthread -lm -lcrypt -lutil
    libc=, so=so, useshrplib=true, libperl=libperl.so.5.24.1
    gnulibc_version=''
  Dynamic Linking:
    dlsrc=dl_dlopen.xs, dlext=so, d_dlsymun=undef, ccdlflags='  -Wl,-R/usr/local/lib/perl5/5.24/mach/CORE'
    cccdlflags='-DPIC -fPIC', lddlflags='-shared  -L/usr/local/lib/perl5/5.24/mach/CORE -lperl -L/usr/local/lib -fstack-protector-strong'


Characteristics of this binary (from libperl):
  Compile-time options: HAS_TIMES MULTIPLICITY PERLIO_LAYERS
                        PERL_COPY_ON_WRITE PERL_DONT_CREATE_GVSV
                        PERL_HASH_FUNC_ONE_AT_A_TIME_HARD
                        PERL_IMPLICIT_CONTEXT PERL_MALLOC_WRAP
                        PERL_PRESERVE_IVUV USE_64_BIT_ALL USE_64_BIT_INT
                        USE_ITHREADS USE_LARGE_FILES USE_LOCALE
                        USE_LOCALE_COLLATE USE_LOCALE_CTYPE
                        USE_LOCALE_NUMERIC USE_LOCALE_TIME USE_PERLIO
                        USE_PERL_ATOF USE_REENTRANT_API USE_SITECUSTOMIZE
  Built under freebsd
  @INC:
    /usr/local/lib/perl5/site_perl/mach/5.24
    /usr/local/lib/perl5/site_perl
    /usr/local/lib/perl5/5.24/mach
    /usr/local/lib/perl5/5.24
Comment 1 Po-Chuan Hsieh freebsd_committer 2017-11-11 22:15:40 UTC
This port requires libidn2 2.0+. Please update your libidn2 installation and try again.
Comment 2 Po-Chuan Hsieh freebsd_committer 2017-11-13 20:21:51 UTC
BUILD_DEPENDS has been added to ensure libidn2 2.0+. Thanks for notification.